import os
import pathlib
import shutil

from vlab.io.io import load, save


class Path(pathlib.PurePosixPath):
    """
    A simple wrapper.
    """

    def rmtree(self, ignore_errors=True):
        shutil.rmtree(self, ignore_errors=ignore_errors)

    def mkdirs(self, exist_ok=True):
        os.makedirs(self, exist_ok=exist_ok)

    def load(self):
        """
        Call vlab.io.load to load the file.
        """
        return load(self)

    def save(self, obj):
        """
        Call vlab.io.save to save the file.
        """
        return save(obj, self)
